summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--rlvm/PKGBUILD9
-rw-r--r--rlvm/textpage-noncopyable.patch11
2 files changed, 17 insertions, 3 deletions
diff --git a/rlvm/PKGBUILD b/rlvm/PKGBUILD
index 083417e..b4cc79c 100644
--- a/rlvm/PKGBUILD
+++ b/rlvm/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Jon Bergli Heier <snakebite@jvnv.net>
pkgname=rlvm
pkgver=0.12
-pkgrel=3
+pkgrel=4
pkgdesc="RealLive clone for Linux and OSX"
arch=(i686 x86_64)
url="http://www.elliotglaysher.org/rlvm/"
@@ -12,12 +12,14 @@ source=(https://github.com/eglaysher/rlvm/tarball/release-${pkgver}
build.patch
boost_filesystem_v3.patch
boost_filesystem_v3_test.patch
- boost-gcc-fix.patch)
+ boost-gcc-fix.patch
+ textpage-noncopyable.patch)
md5sums=('9dbafab7f720f6782c727015012e25fe'
'f702633c91148a239fd0457621a311f5'
'cc97ff08f27c4c790c86d9dc08914562'
'35d0432a6616138853215eb3a5cf48d6'
- '45e14973f8833b283e8cb77300594e62')
+ '45e14973f8833b283e8cb77300594e62'
+ 'f746754439b33b6af9cccb6b45b28ec5')
build() {
# release commit, for silly directory names
@@ -28,6 +30,7 @@ build() {
patch -Np1 < $srcdir/boost_filesystem_v3.patch || return 1
patch -Np1 < $srcdir/boost_filesystem_v3_test.patch || return 1
patch -Np1 < $srcdir/boost-gcc-fix.patch || return 1
+ patch -Np1 < $srcdir/textpage-noncopyable.patch || return 1
scons --release
install -D "$srcdir/eglaysher-rlvm-$commit/build/release/rlvm" "$pkgdir/usr/bin/rlvm"
install -D "$srcdir/eglaysher-rlvm-$commit/src/Platforms/gtk/rlvm.desktop" "$pkgdir/usr/share/applications/rlvm.desktop"
diff --git a/rlvm/textpage-noncopyable.patch b/rlvm/textpage-noncopyable.patch
new file mode 100644
index 0000000..528014f
--- /dev/null
+++ b/rlvm/textpage-noncopyable.patch
@@ -0,0 +1,11 @@
+diff -ru eglaysher-rlvm-bee99d3/src/Systems/Base/TextPage.hpp eglaysher-rlvm-bee99d3-patched/src/Systems/Base/TextPage.hpp
+--- eglaysher-rlvm-bee99d3/src/Systems/Base/TextPage.hpp 2013-02-08 20:55:54.501748530 +0100
++++ eglaysher-rlvm-bee99d3-patched/src/Systems/Base/TextPage.hpp 2013-02-08 20:56:17.388142606 +0100
+@@ -30,6 +30,7 @@
+
+ #include <boost/ptr_container/ptr_vector.hpp>
+ #include <boost/function.hpp>
++#include <boost/noncopyable.hpp>
+
+ #include <algorithm>
+ #include <string>